> For the complete documentation index, see [llms.txt](https://docs.cakewallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cakewallet.com/get-started/setup/restore-existing-wallet.md).

# Restore existing wallet

## Enter the wallets menu

Open the wallets menu from the bottom navigation bar, then tap `Restore Wallet` near the bottom of the screen.

![The Wallets screen with the Restore Wallet button](https://raw.githubusercontent.com/cake-tech/docs-assets/main/v6.3.1/restore_00_wallets-list_hl.png)

## Choose a restore option

Pick how you'd like to restore, then follow the matching guide:

* [**Seed or keys**](/get-started/setup/restore-existing-wallet/seed-or-keys.md) — restore from a seed phrase or the private keys you saved.
* [**Cupcake**](https://docs.cakewallet.com/cupcake) — link with our companion air-gapped app installed on a second phone.
* [**Hardware wallet**](/get-started/setup/restore-existing-wallet/hardware-wallet.md) — connect a hardware wallet device from a variety of manufacturers.
* **QR code** — restore an air-gapped cold wallet or recover a paper wallet.
* [**Backup file**](/get-started/setup/restore-existing-wallet/backup-file.md) — restore from a Cake Wallet backup file (available on new installs).

![Choosing a restore option](https://raw.githubusercontent.com/cake-tech/docs-assets/main/v6.3.1/restore_01_method.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cakewallet.com/get-started/setup/restore-existing-wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
